summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-gfx/makeSimplexTexture/Manifest1
-rw-r--r--media-gfx/makeSimplexTexture/makeSimplexTexture-0.8.8.ebuild47
-rw-r--r--media-gfx/makeSimplexTexture/makeSimplexTexture-9999.ebuild49
-rw-r--r--media-gfx/makeSimplexTexture/metadata.xml16
4 files changed, 113 insertions, 0 deletions
diff --git a/media-gfx/makeSimplexTexture/Manifest b/media-gfx/makeSimplexTexture/Manifest
new file mode 100644
index 0000000..77ff318
--- /dev/null
+++ b/media-gfx/makeSimplexTexture/Manifest
@@ -0,0 +1 @@
+DIST makeSimplexTexture-0.8.8.tar.gz 30894 SHA256 038c891c3431fb44db0739ea464b2a3061cdd753a67d9bd5f28799c112f05575 SHA512 9de36ef4eb5e708075906f1796e8906724ed9322b6988e59bf55f01afd5a09eb3eeb2cd1bdc52798dd29999da577233b20c684380e76c3fb97b46e1bfe981d1a WHIRLPOOL 63352c9808e87a79023cab3932990084193206cf9d5ab420126c27f6fcba6030c1097c0411c01a5d2c5f0d1aefb8668c999010d68a5852ca6470fe33a600d5ee
diff --git a/media-gfx/makeSimplexTexture/makeSimplexTexture-0.8.8.ebuild b/media-gfx/makeSimplexTexture/makeSimplexTexture-0.8.8.ebuild
new file mode 100644
index 0000000..d41212c
--- /dev/null
+++ b/media-gfx/makeSimplexTexture/makeSimplexTexture-0.8.8.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Build textures with bumpmaps using simplex noise."
+HOMEPAGE="https://prydeworx.com/makeSimplexTextures"
+SRC_URI="https://github.com/Yamakuzure/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="asan debug lsan tsan"
+
+REQUIRED_USE="
+ asan? ( debug )
+ lsan? ( debug )
+ tsan? ( debug )
+"
+
+COMMON_DEPEND="
+ dev-cpp/pwxlib
+ >=media-libs/libsfml-2.5.1
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+DOCS=()
+
+src_compile() {
+ PREFIX="${EPREFIX}"usr CXXFLAGS="${CXXFLAGS}" \
+ CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}" \
+ CXX="$(tc-getCXX)" LD="$(tc-getCC)" \
+ DEBUG="$(usex debug YES NO)" \
+ SANITIZE_ADDRESS="$(usex asan YES NO)" \
+ SANITIZE_LEAK="$(usex lsan YES NO)" \
+ SANITIZE_THREAD="$(usex tsan YES NO)" \
+ emake || die "emake failed"
+}
+
+src_install() {
+ PREFIX="${EPREFIX}"usr DESTDIR="${D}" \
+ DOCDIR="${EPREFIX}"usr/share/doc/${PF} \
+ emake install || die "install failed"
+}
diff --git a/media-gfx/makeSimplexTexture/makeSimplexTexture-9999.ebuild b/media-gfx/makeSimplexTexture/makeSimplexTexture-9999.ebuild
new file mode 100644
index 0000000..c7dd27a
--- /dev/null
+++ b/media-gfx/makeSimplexTexture/makeSimplexTexture-9999.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils git-r3 toolchain-funcs
+
+DESCRIPTION="Build textures with bumpmaps using simplex noise."
+HOMEPAGE="https://prydeworx.com/makeSimplexTextures"
+EGIT_REPO_URI="https://github.com/Yamakuzure/makeSimplexTextures.git"
+EGIT_BRANCH="master"
+EGIT_SUBMODULES=()
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="asan debug lsan tsan"
+
+REQUIRED_USE="
+ asan? ( debug )
+ lsan? ( debug )
+ tsan? ( debug )
+"
+
+COMMON_DEPEND="
+ dev-cpp/pwxlib
+ >=media-libs/libsfml-2.5.1
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+DOCS=()
+
+src_compile() {
+ PREFIX="${EPREFIX}"usr CXXFLAGS="${CXXFLAGS}" \
+ CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}" \
+ CXX="$(tc-getCXX)" LD="$(tc-getCC)" \
+ DEBUG="$(usex debug YES NO)" \
+ SANITIZE_ADDRESS="$(usex asan YES NO)" \
+ SANITIZE_LEAK="$(usex lsan YES NO)" \
+ SANITIZE_THREAD="$(usex tsan YES NO)" \
+ emake || die "emake failed"
+}
+
+src_install() {
+ PREFIX="${EPREFIX}"usr DESTDIR="${D}" \
+ DOCDIR="${EPREFIX}"usr/share/doc/${PF} \
+ emake install || die "install failed"
+}
diff --git a/media-gfx/makeSimplexTexture/metadata.xml b/media-gfx/makeSimplexTexture/metadata.xml
new file mode 100644
index 0000000..af88435
--- /dev/null
+++ b/media-gfx/makeSimplexTexture/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>yamakuzure@gmx.net</email>
+ <name>Sven Eden</name>
+ </maintainer>
+ <use>
+ <flag name="asan">Enable address sanitizer</flag>
+ <flag name="lsan">Enable leak sanitizer</flag>
+ <flag name="tsan">Enable thread sanitizer</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">Yamakuzure/getRandomName</remote-id>
+ </upstream>
+</pkgmetadata>